For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • GETList collections
      • GETShow collection

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceCollections

List collections

Deprecated
GET
https://api.frame.io/v4/accounts/:account_id/projects/:project_id/collections
GET
/v4/accounts/:account_id/projects/:project_id/collections
1from frameio_experimental import FrameioExperimental
2
3client = FrameioExperimental(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.collections.index(
8 account_id="ee419f6c-b894-4096-a50b-0397e4930468",
9 project_id="e495312f-de49-47de-9cdf-da4967d1329d",
10 api_version="experimental",
11)
1{
2 "data": [
3 {
4 "aggregation_mode": "dynamic",
5 "auto_generated": false,
6 "created_at": "2024-02-02T21:19:24.828948Z",
7 "description": "Description of collection",
8 "id": "fd519bde-5a90-4e6f-8027-18477656ee81",
9 "name": "Test Collection",
10 "private": false,
11 "project_id": "6c7f038e-1de8-44c8-82a2-c25ab45158c3",
12 "root_folder_id": "ac2e74cd-0888-4d69-af7a-ebbd2b8bccdf",
13 "updated_at": "2024-02-02T21:19:24.828948Z"
14 },
15 {
16 "aggregation_mode": "dynamic",
17 "auto_generated": false,
18 "created_at": "2024-02-02T21:19:24.828948Z",
19 "description": "Description of collection",
20 "id": "fd519bde-5a90-4e6f-8027-18477656ee81",
21 "name": "Test Collection",
22 "private": false,
23 "project_id": "6c7f038e-1de8-44c8-82a2-c25ab45158c3",
24 "root_folder_id": "ac2e74cd-0888-4d69-af7a-ebbd2b8bccdf",
25 "updated_at": "2024-02-02T21:19:24.828948Z",
26 "creator": {
27 "active": true,
28 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
29 "email": "user_email@example.com",
30 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
31 "name": "Jon Doe"
32 },
33 "project": {
34 "created_at": "2024-01-25T19:18:29.614189Z",
35 "id": "d0beb93e-527c-44e7-8fa8-0f2b0954c4f3",
36 "name": "My Project",
37 "root_folder_id": "954f9c92-f84b-403d-8941-eda2a4012cc0",
38 "status": "active",
39 "storage": 15000,
40 "updated_at": "2024-02-07T16:44:41.986478Z",
41 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/",
42 "workspace_id": "bec77768-0d52-4db6-bb40-9691d3827d35",
43 "restricted": false
44 },
45 "shares": [
46 {
47 "access": "public",
48 "collection_id": "8fe15161-a1da-49e1-890c-6fe265a8dd60",
49 "commenting_enabled": true,
50 "created_at": "2024-02-02T21:19:24.828948Z",
51 "description": "Description of share",
52 "downloading_enabled": true,
53 "enabled": true,
54 "expiration": "2026-05-18T17:24:41.759998Z",
55 "id": "aa654802-3dfb-44e9-acd2-a63f8db58702",
56 "last_viewed_at": "2024-03-02T21:19:24.828948Z",
57 "name": "Test Share",
58 "short_url": "https://f.io/GGa9wPw5",
59 "updated_at": "2024-02-02T21:19:24.828948Z",
60 "passphrase": "as!dfj39sd(*"
61 }
62 ]
63 }
64 ],
65 "links": {
66 "next": "/v4/accounts/123/projects/123/collections"
67 },
68 "total_count": 10
69}
List collections for a project. <br/>This endpoint has been added to `Current Version` of the API. <br/>Please see https://next.developer.frame.io/platform/v4/api-reference/collections/index. <br/>Rate Limits: 100 calls per 1.00 minute(s) per account_user
Was this page helpful?
Previous

Show collection

Next

List collections for a project.
This endpoint has been added to Current Version of the API.
Please see https://next.developer.frame.io/platform/v4/api-reference/collections/index.
Rate Limits: 100 calls per 1.00 minute(s) per account_user

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
project_idstringRequiredformat: "uuid"
A UUID String

Headers

api-versionenumRequired
Allowed values:

Query parameters

includestringOptional
Include query parameter for collections
afterstringOptional

Opaque Cursor query param for requests returning paginated results.


NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.

page_sizeintegerOptional1-100Defaults to 50
Page size query param for requests
include_total_countbooleanOptionalDefaults to false
Page query param to include the count of all entities

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
datalist of objects
Collections
linksobject
Links to paginated data
total_countinteger or null
Total count

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error